Page MenuHomePhabricator

enable Piwik on ru.wikimedia.org
Closed, DeclinedPublic

Description

http://ru.wikimedia.org is an official site of Wikimedia Russia chapter, but, as it's located on WMF servers, we have no access to visitors' statistics, etc. that we would had if we were using an external hosting and that we need so much: we can't evaluate efficiency of our social media, we are using this site for our fundraising - that's why statistics is so important.

Some time ago we received information from WMF admins but now we lost such access as WMF people have no time for such additional tasks.

We are aware of confidentiality and privacy and we are ready for such restrictions in Piwik settings that would eliminate possibility of breach of Terms of Use but, anyway, some statistics is needed.

So, please, enable this extension and we are ready to discuss privacy settings for it.

Event Timeline

Rubin16 created this task.Mar 9 2015, 12:30 PM
Rubin16 raised the priority of this task from to Normal.
Rubin16 updated the task description. (Show Details)
Rubin16 added a subscriber: Rubin16.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2015, 12:30 PM
Rubin16 set Security to None.Mar 9 2015, 12:31 PM
Rubin16 added a subscriber: Drbug.

As a comment - for example, it's used on WM-DE website though the site itself isn't located on WMF servers:
https://www.wikimedia.de/wiki/Spezial:Piwik

Do you already have a Piwik installation somewhere? The Piwik integration extension merely adds the tracking code to the MediaWiki pages, and its configuration requires the URL of a server hosting the actual Piwik software.

Rubin16 added a comment.EditedMar 9 2015, 3:33 PM

Frankly speaking, not yet. But we'll add it to http://wikimedia.ru (our prior official website where we host fundraising system) and that won't be a problem if the extension addition itself is approved.

Do you already have a Piwik installation somewhere? The Piwik integration extension merely adds the tracking code to the MediaWiki pages, and its configuration requires the URL of a server hosting the actual Piwik software.

The Piwik extension is not hosted in WMF's gerrit installation and the last time I asked the maintainer was not interested in moving it.

So theoretical steps would be here:

  1. Receive feedback whether extension could/would be installed
  2. Set up Piwik instance itself
  3. Actually deploy/enable extension

?

So theoretical steps would be here:

  1. Receive feedback whether extension could/would be installed
  2. Set up Piwik instance itself
  3. Actually deploy/enable extension

?

Right! :)

Now we have piwik installation on our site and are ready for its setup on ru.wikimedia.org:

http://piwik.wikimedia.ru/

Dereckson added a subscriber: Dereckson.EditedMay 17 2015, 9:17 AM

The Piwik extension is not hosted in WMF's gerrit installation and the last time I asked the maintainer was not interested in moving it.

This seems to be a blocker.

Could you contact the extension author again and explain them you would like to deploy the extension in the WMF cluster, which requires some standardisation of the code hosting process?

Piwik usually embeds a dummy image on each page. This dummy image is on the Piwik server. This way every request on the site (in this case ru.wikimedia.org) will trigger a hit on the piwik server. Anyone who has access to the piwik server can see the ipaddresses. Control over this is outside the control of the Wikimedia Foundation so I don't think this is in line with https://wikimediafoundation.org/wiki/Privacy_policy or am I missing something here?

Tgr added a subscriber: Tgr.May 28 2015, 9:02 PM

It is not clear (to me, anyway) that the WMF privacy policy covers the WM-RU site. The policy explicitly mentions websites run by Wikimedia chapters as an example of sites not covered by the policy. (OTOH one could argue that the *.wikimedia.org domain gives visitors the expectation of privacy so it should be covered.)

In T91963#1318815, @Tgr wrote:

It is not clear (to me, anyway) that the WMF privacy policy covers the WM-RU site.

Scroll down at https://ru.wikimedia.org/wiki/%D0%97%D0%B0%D0%B3%D0%BB%D0%B0%D0%B2%D0%BD%D0%B0%D1%8F_%D1%81%D1%82%D1%80%D0%B0%D0%BD%D0%B8%D1%86%D0%B0?uselang=en and you'll see that the privacy policy covers the site.

Rubin16 added a comment.EditedMay 31 2015, 8:39 AM
In T91963#1318815, @Tgr wrote:

It is not clear (to me, anyway) that the WMF privacy policy covers the WM-RU site. The policy explicitly mentions websites run by Wikimedia chapters as an example of sites not covered by the policy. (OTOH one could argue that the *.wikimedia.org domain gives visitors the expectation of privacy so it should be covered.)

Unfortunately, I agree with Multichill - if it's not able to strip out personal data of Piwik at WMF level, it won't be acceptible to use Piwik, as it would be possible to trace data of Wikimedia users (who login in ru.wikimedia.org via SUL) with some private data.

So, we need some Piwik installation on WMF level in this case :)

Otherwise, we need some other solution - probably, something except from Piwik could help us?

Jalexander raised the priority of this task from Normal to High.Jun 17 2015, 7:07 AM
Jalexander moved this task from Backlog to Radar on the Trust-and-Safety board.
Jalexander lowered the priority of this task from High to Normal.Jun 17 2015, 7:23 AM

errr.... reverting priority change... it appears that I do not understand how the workboards work.. I have no idea why priorities were changed.

FYI, we have a lot of interest in setting up a production version of piwik, from many different stakeholders, not just russian wikimedia. Right now, the shortest path to that looks to be:

  • Create a prototype in labs with very restrictive privacy settings (Done, see my update: https://phabricator.wikimedia.org/T98058#1379837)
  • Bother someone until they puppetize the piwik.wmflabs.org prototype
  • Productionize the puppet module, deploy, and start creating sites for everyone.

Maybe people who have puppet skills can help us hack on this in Mexico City? Our (team analytics) backlog is crazy as usual and I doubt we'll be able to dedicate resources beyond prototypes and my spare time.

@Fjalapeno: since it's the end of the quarter we're trying to fight for a piwik instance again. Is this something you're still interested in?

@Milimetric we're definitely interested. not sure if it's related, but we're also following the work being done on the scalable event system (T88459).

@Milimetric yeah as Brian said we are definitely interested in getting this going. So if you need anything from us let us know.

Cool, we'll keep mentioning that it's important to real people :)

The scalable event system will be another solution for sure, but I think due to out-of-box reporting and a wide range of client support, piwik still has a place.

Since we got some experience with maintaining the labs instance of piwik, we think the main hurdle is getting the hardware. You guys mentioned you had a server before, is that still available to host piwik? We can run it by ops and see what they think. Another thing we might want to do for this is support it during normal business hours. So if it goes down, we lose some data, but nobody needs to be paged. That would help make it a reality since we can argue it'll have a lower impact on man-hours.

To keep the archives happy:

We've deployed piwik to production and are testing it out with the 15.wikipedia.org site. Sadly, the mysql instance that was behind it appears to have crashed (going to look into it soon). It's probably due to the large amount of traffic that site has been seeing, but essentially we'll have to establish some pretty strict traffic upper limits for piwik usage.

To keep the archives happy:
We've deployed piwik to production and are testing it out with the 15.wikipedia.org site. Sadly, the mysql instance that was behind it appears to have crashed (going to look into it soon). It's probably due to the large amount of traffic that site has been seeing, but essentially we'll have to establish some pretty strict traffic upper limits for piwik usage.

Please update https://wikimediafoundation.org/wiki/Privacy_policy/FAQ#cookieFAQ with the new cookies you deployed.

Please update https://wikimediafoundation.org/wiki/Privacy_policy/FAQ#cookieFAQ with the new cookies you deployed.

No new cookies, (I'm personally allergic to cookies). Piwik uses a JS beacon to send data, and 15.wikipedia.org links to a privacy policy that explains that. Thanks for checking, M

gpaumier removed a subscriber: gpaumier.Jul 18 2018, 5:57 PM
Restricted Application added a project: Analytics. · View Herald TranscriptJul 18 2018, 5:57 PM
Milimetric closed this task as Declined.Jul 19 2018, 3:45 PM

This looks outdated, please open with more info if needed.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJul 19 2018, 3:45 PM